commit 836ebd604abe1bad40925ce29f79e892ba60be0b
parent 9d4336782a09b5dd62d4c402b14ed63d62274c5b
Author: ccx <root@dorje.wpr.cz>
Date: Thu, 11 Mar 2021 13:22:14 +0100
Fix pipestatus variable
Diffstat:
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/install b/install
@@ -42,7 +42,7 @@ install_rc() {
local cmd=${sm_dst[package]}/command
mkdir -p $dst/s6-rc/source || exit $?
( cd $submodule && git archive --format=tar $commit ) | tar -xC $dst/s6-rc/source
- ((${(j.|.)pipefail})) && exit 1 # exit if git archive or tar exited non-zero
+ ((${(j.|.)pipestatus})) && exit 1 # exit if git archive or tar exited non-zero
$cmd/s6-rc-compile $dst/s6-rc/source $dst/s6-rc/compiled || exit $?
}